class_name FireRateMultiplicative extends Modifier

@export var fire_rate_multiplier: float = 1.2 # 20% faster firing

func _init():
	id = "fire_rate_multiplicative"
	display_name = "Frenzy"
	description = "Increases fire rate by %d%%" % ((fire_rate_multiplier - 1.0) * 100)
	modifier_type = ModifierType.MULTIPLICATIVE

func apply_stats_modification(stats: StatsComponent) -> void:
	stats.update_stat("ranged.attack_rate", stats.get_stat("ranged.attack_rate") * fire_rate_multiplier)